Retrieve a customer’s profile information
curl -X GET https://api.example.com/api/v1/customers/123/ \
-H "Authorization: Bearer YOUR_TOKEN"
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "123 Main Street",
"postal_code": 12345,
"city": "San Francisco",
"state": "California",
"country": "United States"
},
"last_purchase_date": "2024-03-01T14:30:00Z"
}
Retrieves detailed information about a specific customer by their ID. This endpoint is publicly accessible for viewing customer profiles.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/klvxn/ecommerce-api/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://api.example.com/api/v1/customers/123/ \
-H "Authorization: Bearer YOUR_TOKEN"
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "123 Main Street",
"postal_code": 12345,
"city": "San Francisco",
"state": "California",
"country": "United States"
},
"last_purchase_date": "2024-03-01T14:30:00Z"
}
curl -X GET https://api.example.com/api/v1/customers/123/ \
-H "Authorization: Bearer YOUR_TOKEN"
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "123 Main Street",
"postal_code": 12345,
"city": "San Francisco",
"state": "California",
"country": "United States"
},
"last_purchase_date": "2024-03-01T14:30:00Z"
}